Subject: Re: bug#25991: [PATCH] gnu: surf: Add 'dmenu' and 'xprop' to 'inputs'.

From: Kei Kebreau <[email-masked]>
Date: Sun, 05 Mar 2017 22:23:48 -0500

Danny Milosavljevic <[email-masked]> writes:

> Hi,
>
> On Mon, 06 Mar 2017 02:55:01 +0100
> Mekeor Melire <[email-masked]> wrote:
>
>> This is meant to fix bug#25759 “Should 'surf' depend on 'xprop' and
>> 'dmenu'?“:
>> 
>> https://lists.gnu.org/archive/html/bug-guix/2017-02/msg00054.html
>> 
>> I'm not sure if we really want this patch to be merged because there was
>> not much of a discussion on this proposal on the mailing list.
>
> It's not finished. http://git.suckless.org/surf/tree/config.def.h#n38
> invokes xprop and dmenu - and these places would have to be
> substituted by store references, like:
>
> (substitute* "tree/config.def.h"
>   (("xprop") (string-append (assoc-ref inputs "xprop") "/bin/xprop"))
>   (("dmenu") (string-append (assoc-ref inputs "dmenu") "/bin/dmenu")))
>
> I'm not sure whether Guix will retain the store references on the next
> GC, though.

I'm sure Guix does, considering we use this trick for all sorts of
packages, including important ones like shadow.